### Method

# Gio Application get_dbus_object_path

since: 2.34

#### Declaration

    const gchar*
    g_application_get_dbus_object_path (
      GApplication* application
    )

#### Description

Gets the D-Bus object path being used by the application, or `NULL`.

If `GApplication` is using its D-Bus backend then this function will return the D-Bus object path that `GApplication` is using. If the application is the primary instance then there is an object published at this path. If the application is not the primary instance then the result of this function is undefined.

If `GApplication` is not using D-Bus then this function will return `NULL`. This includes the situation where the D-Bus backend would normally be in use but we were unable to connect to the bus.

This function must not be called before the application has been registered. See g_application_get_is_registered().

Available since: 2.34

#### Return value

Type: `const gchar*`

The object path, or `NULL`.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.